# cv::WImageView< T > Class Template Reference

`#include <wimage.hpp>`

Inheritance diagram for cv::WImageView< T >:

List of all members.

## Public Types

typedef WImage< T >::BaseType | BaseType

## Public Member Functions

WImageView & | operator= (const WImage< T > &img)
| WImageView (T *data, int width, int height, int channels, int width_step=-1)
| WImageView (const WImage< T > &img)
| WImageView (IplImage *img)
| WImageView (WImage< T > *img, int c, int r, int width, int height)

## Protected Attributes

IplImage | header_

### template<typename T>
class cv::WImageView< T >

## Member Typedef Documentation

template<typename T>

typedef WImage<T>::BaseType cv::WImageView< T >::BaseType

Reimplemented from cv::WImage< T >.

## Constructor & Destructor Documentation

template<typename T >

cv::WImageView< T >::WImageView | ( | WImage< T > * | img,
|  | int | c,
|  | int | r,
|  | int | width,
|  | int | height
| ) |  |

template<typename T >

cv::WImageView< T >::WImageView | ( | T * | data,
|  | int | width,
|  | int | height,
|  | int | channels,
|  | int | width_step = `-1`
| ) |  |

template<typename T>

cv::WImageView< T >::WImageView | ( | IplImage * | img ) | `[inline]`

template<typename T>

cv::WImageView< T >::WImageView | ( | const WImage< T > & | img ) | `[inline]`

## Member Function Documentation

template<typename T>

WImageView& cv::WImageView< T >::operator= | ( | const WImage< T > & | img ) | `[inline]`

Reimplemented from cv::WImage< T >.

## Member Data Documentation

template<typename T>

IplImage cv::WImageView< T >::header_`[protected]`

The documentation for this class was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/wimage.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines